%global modulename fs-write-stream-atomic

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-fs-write-stream-atomic
Version:        1.0.10
Release:        1%{?dist}
Summary:        Like `fs.createWriteStream(...)`, but atomic.

License:        ISC
URL:            https://github.com/npm/fs-write-stream-atomic
Source0:        https://registry.npmjs.org/fs-write-stream-atomic/-/fs-write-stream-atomic-1.0.10.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(iferr) >= 0.1.5 with npmlib(iferr) < 0.2.0))
BuildRequires:  ((npmlib(imurmurhash) >= 0.1.4 with npmlib(imurmurhash) < 0.2.0))
BuildRequires:  ((npmlib(readable-stream) >= 1.0.0 with npmlib(readable-stream) < 2.0.0) or (npmlib(readable-stream) >= 2.0.0 with npmlib(readable-stream) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Like `fs.createWriteStream(...)`, but atomic.

%package 1.0.10
Summary:        Like `fs.createWriteStream(...)`, but atomic.


%description 1.0.10
Like `fs.createWriteStream(...)`, but atomic.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.10
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.0.10-1
- Package automatically generated by npm2srpm
